////////////////////////////////////////////////////////////////////////////////
//   ____  ____   
//  /   /\/   /  
// /___/  \  /   
// \   \   \/  
//  \   \        Copyright (c) 2003-2004 Xilinx, Inc.
//  /   /        All Right Reserved. 
// /---/   /\     
// \   \  /  \  
//  \___\/\___\
////////////////////////////////////////////////////////////////////////////////

#ifndef H_Xilinxcorelib_iputils_misc_H
#define H_Xilinxcorelib_iputils_misc_H

#ifdef __MINGW32__
#include "xsimMinGW.h"
#else
#include "xsim.h"
#endif


#include "ieee/std_logic_1164/std_logic_1164.h"

class Xilinxcorelib_iputils_misc: public HSim__s6 {
public:
/* subprogram name if_then_else */
int Gi(const int Ea, const int Ec, const int Ee);
/* subprogram name if_then_else */
int Gv(const char En, const int Eq, const int Es);
/* subprogram name index_in_str */
int GI(const char *Ez, const HSimConstraints *constrEz, const int EB, const char *ED, const HSimConstraints *constrED, const int EF);
/* subprogram name cond_string */
char *GT(HSimConstraints *reConstr, const char EL, const char *EN, const HSimConstraints *constrEN, const char *EQ, const HSimConstraints *constrEQ);
/* subprogram name get_lesser */
int G11(const int EW, const int EY);
/* subprogram name get_greater */
int G19(const int E14, const int E16);
/* subprogram name zero_string */
char *G1f(HSimConstraints *reConstr, const int E1c);
/* subprogram name ones_string */
char *G1m(HSimConstraints *reConstr, const int E1i);
/* subprogram name lcase */
char *G1t(HSimConstraints *reConstr, const char *E1q, const HSimConstraints *constrE1q);
/* subprogram name ucase */
char *G1z(HSimConstraints *reConstr, const char *E1w, const HSimConstraints *constrE1w);
/* subprogram name case_sensitive_compare */
char G1H(const char *E1C, const HSimConstraints *constrE1C, const char *E1E, const HSimConstraints *constrE1E);
/* subprogram name case_insensitive_compare */
char G1Q(const char *E1K, const HSimConstraints *constrE1K, const char *E1M, const HSimConstraints *constrE1M);
/* subprogram name strbool_to_int */
int G1W(const char *E1T, const HSimConstraints *constrE1T);

public:

public:
  Xilinxcorelib_iputils_misc(const HSimString &name);
  ~Xilinxcorelib_iputils_misc();
};

extern Xilinxcorelib_iputils_misc *XilinxcorelibIputils_misc;

#endif
